summaryrefslogtreecommitdiffstats
path: root/testing/web-platform/tests/tools/docker/start.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 09:22:09 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 09:22:09 +0000
commit43a97878ce14b72f0981164f87f2e35e14151312 (patch)
tree620249daf56c0258faa40cbdcf9cfba06de2a846 /testing/web-platform/tests/tools/docker/start.sh
parentInitial commit. (diff)
downloadfirefox-upstream.tar.xz
firefox-upstream.zip
Adding upstream version 110.0.1.upstream/110.0.1upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'testing/web-platform/tests/tools/docker/start.sh')
-rwxr-xr-xtesting/web-platform/tests/tools/docker/start.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/testing/web-platform/tests/tools/docker/start.sh b/testing/web-platform/tests/tools/docker/start.sh
new file mode 100755
index 0000000000..3427670cc9
--- /dev/null
+++ b/testing/web-platform/tests/tools/docker/start.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+set -ex
+
+REMOTE=${1:-https://github.com/web-platform-tests/wpt}
+REF=${2:-master}
+
+cd ~
+
+if [ -e /dev/kvm ]; then
+ # If kvm is present ensure that the test user can access it
+ # Ideally this could be done by adding the test user to the
+ # owning group, but then we need to re-login to evaluate the
+ # group membership. This chmod doesn't affect the host.
+ sudo chmod a+rw /dev/kvm
+fi
+
+if [ ! -d web-platform-tests ]; then
+ mkdir web-platform-tests
+ cd web-platform-tests
+
+ git init
+ git remote add origin ${REMOTE}
+
+ # Initially we just fetch 50 commits in order to save several minutes of fetching
+ retry git fetch --quiet --depth=50 --tags origin ${REF}:task_head
+
+ git checkout --quiet task_head
+fi